// Satya Damarla: 27 May 2003
//
// UWC javacript utilities
// 
// Contains some string utilities, misclaneous functions, etc..
//
// functions defined:
//
//

function openUWCHelpWindow(theUrl) {
  openWinAutoHeightAndFocus(theUrl, "UWCHelp", "titlebar=yes,scrollbars=yes,resizable=yes,width=700,menubar=yes");
}

function openWinAutoHeightAndFocus(theURL,winName,features) { //v2.0
  winHeight = screen.availHeight * .85
  winHndle = window.open(theURL, winName, features + ', height=' + winHeight);
  winHndle.focus();
}

function refreshUWCParentView() { 
  if(undefined == parent.opener.uwcViewUrl) { 
    parent.opener.location.href = parent.opener.location.href; 
    return; 
  } 

  var theViewUrl = trim(parent.opener.uwcViewUrl); 

  if((null == theViewUrl) || ("" == theViewUrl)) { 
    parent.opener.location.href = parent.opener.location.href; 
    return; 
  } 
  else {
    parent.opener.location.href = theViewUrl; 
    return; 
  }
} 


function NotImplemented(theMessage) {
  window.alert("Not Implemented: " + theMessage);
}

function trim(theString) {
  if((null == theString) || (0 == theString.length)) {
      return theString;
  }

  var theLastChar = theString.charAt(theString.length - 1);
  while((theLastChar == '\n') ||
        (theLastChar == '\t') ||
        (theLastChar == '\r') ||
        (theLastChar == ' '))
  {
    theString = theString.slice(0, -1);
    if(theString.length == 0) {
      break;
    } 
    else {
      theLastChar = theString.charAt(theString.length - 1);
    }
  }

  var firstchar = theString.charAt(0);
  while((firstchar == '\n') ||
        (firstchar == '\t') ||
        (firstchar == '\r') ||
        (firstchar == ' '))
  {
    theString = theString.slice(1);
    if(theString.length == 0) {
      break;
    }
    else {
      firstchar = theString.charAt(0);
    }
  }

  return theString;
}

function isAlphaNumericAndUnderScore(theString) {
  if((null == theString) || (theString.length < 1)) {
      return false;
  }

  for(var i=0; i < theString.length; i++)
  {
    var theChar = theString.charAt(i);
    if(((theChar >= 'a') && (theChar <= 'z')) ||
       ((theChar >= 'A') && (theChar <= 'Z')) ||
       ((theChar >= '0') && (theChar <= '9')) ||
       (theChar == '_'))
    {
      continue;
    }
    else
    {
      return false;
    }
  }

  return true;
}

function isNull(theObject) {
  if(null == theObject) {
    return true;
  }
  return false;
}

function isNullOrBlank(theString) {
  if((null == theString) || ("" == trim(theString))) {
    return true;
  }
  return false;
}

function prnArray(message, theArray) {
    window.alert("prnArray: " + message + " length: " + theArray.length);
    for(var i=0; i < theArray.length; i++) {
      window.alert("prnArray: " + message + "[" + i + "]: " + theArray[i]);
    }
}

function prnValue(message, value) {
    window.alert("prnMessage: " + message + " '" + value + "'");
}

function parseDelimitedString(theString, theDelimiter) {
    var theArray = new Array();
    if((null != theString) && ("" != theString)) {
      theArray = theString.split(theDelimiter);
    }
    return theArray;
}

function getDelimitedString(theArray, theDelimiter) {
    var delimitedString = "";
    if(null == theArray) { 
      return delimitedString;
    }
    for(var i=0; i < theArray.length; i++) {
      if((null == delimitedString) || ("" == delimitedString)) {
        delimitedString = theArray[i]; 
      }
      else {
        delimitedString = delimitedString + theDelimiter + theArray[i];
      }
    }
    return delimitedString;
}

//to implement the check all of checkbox in tiled view 

function checkAll(field, checked) {
  if (field == null) return;
  
  nbEntries = field.length;
  
  if (nbEntries > 0) {
    for (i = 0;i < nbEntries; i++) {      
        field[i].checked = checked;      
    }
  }
  else {    
      field.checked = checked;
  }  
}

function UWCAlert(theString)
{
  window.alert(UWCUnescape(theString));
}

function UWCConfirm(theString)
{
  return window.confirm(UWCUnescape(theString));
}

// Just escaping "&#34;" and "&#39;" for now
//
function UWCUnescape(theString)
{
  if((null == theString) || (0 == theString.length)) {
	return theString;
  }

  var newStr = "";
  var theIndex = 0;

  while(theIndex < theString.length)
  {
    var theChar = theString.charAt(theIndex);
    if('&' == theChar)
    {
      var s = theString.slice(theIndex, theIndex+5);

	if("&#34;" == s) {
	newStr = newStr + '"';
	theIndex = theIndex + 5;
	}
      else if("&#39;" == s) {
	newStr = newStr + '\'';
	theIndex = theIndex + 5;
	}
    else if("&#45;" == s) {
        newStr = newStr + '-';
        theIndex = theIndex + 5;
    }
    else if("&#92;" == s) {
        newStr = newStr + '\\';
        theIndex = theIndex + 5;
    }
      else {
	newStr = newStr + theChar;
	theIndex = theIndex + 1;
	}
    }
    else {
        newStr = newStr + theChar;
	theIndex = theIndex + 1;
    }
  }

  return newStr;
}

